Bug 1690937 - Prometheus is not showing metrics for service catalog
Summary: Prometheus is not showing metrics for service catalog
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Dan Geoffroy
QA Contact: Jian Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 13:52 UTC by Jay Boyd
Modified: 2019-06-04 10:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:46:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:46:19 UTC

Description Jay Boyd 2019-03-20 13:52:11 UTC
In web console, under Monitoring -> Status -> Targets, you should see a target for service catalog controller manager.  It is not present.

It appears the openshift-service-catalog-controller-manager daemonset is missing the required annotations (ie prometheus.io/scheme: https and prometheus.io/scrape: "true") or a service monitor should be created for it.

Comment 3 Wei Sun 2019-04-10 03:32:52 UTC
Please check if it could be verified.

Comment 4 Jian Zhang 2019-04-10 08:09:35 UTC
LGTM, verify it. Details as below:

1, Build the OCP cluster with the installer.
[jzhang@dhcp-140-18 ocp410]$ oc get clusterversion
NAME      VERSION      AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.0.0-0.11   True        False         4h53m   Cluster version is 4.0.0-0.11

2, Check the service-catalog-controller-manager-operator version. The fixed PR had been merged in it, like below:
[jzhang@dhcp-140-18 ocp410]$ oc get pods -o yaml|grep image
      image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c8e405005b4f6c8ec6c53783e987cf61f037a7d875edcae3f0f3cb4cae3c8a6b

[jzhang@dhcp-140-18 ocp410]$ oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:c8e405005b4f6c8ec6c53783e987cf61f037a7d875edcae3f0f3cb4cae3c8a6b
...
             io.openshift.build.commit.id=f8ad3be67ae5baaa8c2c5d167ba48611146df560
             io.openshift.build.commit.url=https://github.com/openshift/cluster-svcat-controller-manager-operator/commit/f8ad3be67ae5baaa8c2c5d167ba48611146df560

3, Login the Web console, "Monitoring"->"Metrics" -> "Login as the Openshift"->"Status"->"Targets", we can see the "openshift-service-catalog-controller-manager-operator/openshift-service-catalog-controller-manager-operator/0 (1/1 up)", it's watching the endpoints. LGTM.
[jzhang@dhcp-140-18 ocp410]$ oc get ep -n openshift-service-catalog-controller-manager-operator
NAME      ENDPOINTS          AGE
metrics   10.129.0.28:8443   5h15m
[jzhang@dhcp-140-18 ocp410]$ oc get pods -o wide
NAME                                                              READY   STATUS    RESTARTS   AGE     IP            NODE                                              NOMINATED NODE
openshift-service-catalog-controller-manager-operator-54d9r7lbv   1/1     Running   0          5h14m   10.129.0.28   ip-10-0-141-107.ap-southeast-2.compute.internal   <none>

Comment 7 errata-xmlrpc 2019-06-04 10:46:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.